## Apache Zeta Components Manual :: Docs For Class ezcDocumentValidation

### Document::ezcDocumentValidation

### Interface ezcDocumentValidation

Interface specifying, that the document may be directly exported to HTML.

Source for this file: /Document/src/interfaces/validation.php

Version: | //autogen//

### Method Summary

public mixed | `validateFile( $file )` Validate the input file
public mixed | `validateString( $string )` Validate the input string

### Methods

#### validateFile

mixed validateFile( string $file )

Validate the input file

Validate the input file against the specification of the current document format.

Returns true, if the validation succeded, and an array with ezcDocumentValidationError objects otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |

#### validateString

mixed validateString( string $string )

Validate the input string

Validate the input string against the specification of the current document format.

Returns true, if the validation succeded, and an array with ezcDocumentValidationError objects otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$string` | string |

Documentation generated by phpDocumentor 1.4.3